diff --git a/dlls/winegstreamer/wg_parser.c b/dlls/winegstreamer/wg_parser.c
index 48b88a4b1..cbd037e42 100644
--- a/dlls/winegstreamer/wg_parser.c
+++ b/dlls/winegstreamer/wg_parser.c
@@ -1548,6 +2501,8 @@ static NTSTATUS wg_parser_create(void *args)
         [WG_PARSER_AVIDEMUX] = avi_parser_init_gst,
         [WG_PARSER_MPEGAUDIOPARSE] = mpeg_audio_parser_init_gst,
         [WG_PARSER_WAVPARSE] = wave_parser_init_gst,
+        [WG_PARSER_AUDIOCONV] = audio_convert_init_gst,
+        [WG_PARSER_VIDEOCONV] = video_convert_init_gst,
     };
 
     struct wg_parser_create_params *params = args;
@@ -1566,7 +2521,7 @@ static NTSTATUS wg_parser_create(void *args)
     parser->init_gst = init_funcs[params->type];
     parser->unlimited_buffering = params->unlimited_buffering;
 
-    GST_DEBUG("Created winegstreamer parser %p.", parser);
+    GST_DEBUG("Created winegstreamer parser %p.\n", parser);
     params->parser = parser;
     return S_OK;
 }
@@ -1597,6 +2552,7 @@ const unixlib_entry_t __wine_unix_call_funcs[] =
     X(wg_parser_destroy),
 
     X(wg_parser_connect),
+    X(wg_parser_connect_unseekable),
     X(wg_parser_disconnect),
 
     X(wg_parser_get_next_read_offset),
@@ -1615,8 +2571,11 @@ const unixlib_entry_t __wine_unix_call_funcs[] =
     X(wg_parser_stream_notify_qos),
 
     X(wg_parser_stream_get_duration),
+    X(wg_parser_stream_get_language),
     X(wg_parser_stream_seek),
 
+    X(wg_parser_stream_drain),
+
     X(wg_transform_create),
     X(wg_transform_destroy),
 
